[med-svn] [augustus] 01/01: add autopkgtests

Sascha Steinbiss sascha at steinbiss.name
Thu Mar 24 15:08:23 UTC 2016


This is an automated email from the git hooks/post-receive script.

sascha-guest pushed a commit to branch master
in repository augustus.

commit 266b83340e3827cfd3cf43c107a111e4e709f6f9
Author: Sascha Steinbiss <sascha at steinbiss.name>
Date:   Thu Mar 24 15:08:15 2016 +0000

    add autopkgtests
---
 debian/control                          |  1 +
 debian/tests/control                    |  5 +++++
 debian/tests/test-example               | 21 +++++++++++++++++++++
 debian/tests/test-example-with-training | 24 ++++++++++++++++++++++++
 4 files changed, 51 insertions(+)

diff --git a/debian/control b/debian/control
index b29f4e0..00eabb8 100644
--- a/debian/control
+++ b/debian/control
@@ -8,6 +8,7 @@ Build-Depends: debhelper (>= 9), libsqlite3-dev, libboost-iostreams-dev,
                libbamtools-dev, libbam-dev, libhts-dev, libncurses5-dev,
                asciidoctor
 Standards-Version: 3.9.7
+Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/augustus.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/augustus.git
 Homepage: http://bioinf.uni-greifswald.de/augustus/
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..edd1648
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,5 @@
+Tests: test-example
+Depends: @
+
+Tests: test-example-with-training
+Depends: @
diff --git a/debian/tests/test-example b/debian/tests/test-example
new file mode 100755
index 0000000..ca4f8a4
--- /dev/null
+++ b/debian/tests/test-example
@@ -0,0 +1,21 @@
+#!/bin/sh
+# autopkgtest check: Run example test data through AUGUSTUS 
+# Author: Sascha Steinbiss <sascha at steinbiss.name>
+set -e
+
+ORIGDIR=$(pwd)
+DATADIR=$ORIGDIR/debian/tests/
+WORKDIR=$(mktemp -d)
+
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+
+augustus --species=human --UTR=on $ORIGDIR/examples/example.fa | tee out.gff3
+
+[ -s out.gff3 ]
+
+augustus --species=human --hintsfile=$ORIGDIR/examples/hints.gff \
+  --extrinsicCfgFile=/usr/share/augustus/config/extrinsic/extrinsic.MPE.cfg \
+  $ORIGDIR/examples/example.fa | tee out2.gff3
+
+[ -s out2.gff3 ]
diff --git a/debian/tests/test-example-with-training b/debian/tests/test-example-with-training
new file mode 100755
index 0000000..2cef264
--- /dev/null
+++ b/debian/tests/test-example-with-training
@@ -0,0 +1,24 @@
+#!/bin/sh
+# autopkgtest check: Run example test data through AUGUSTUS, with training 
+# Author: Sascha Steinbiss <sascha at steinbiss.name>
+set -e
+
+ORIGDIR=$(pwd)
+DATADIR=$ORIGDIR/debian/tests/
+WORKDIR=$(mktemp -d)
+
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+
+# prepare custom config directory
+cp -prv /usr/share/augustus/config .
+export AUGUSTUS_CONFIG_PATH=$WORKDIR/config
+
+# training
+/usr/share/augustus/scripts/new_species.pl --species=test
+etraining --species=test $ORIGDIR/examples/hsackI10.gb
+
+# test new species models
+augustus --species=test $ORIGDIR/examples/example.fa | tee out.gff3
+
+[ -s out.gff3 ]

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/augustus.git



More information about the debian-med-commit mailing list